## Name

INCLUDE — pulling in slonik code from another file

## Synopsis

`include` [`<pathname>`]

## Description

This draws the specified slonik script inline into the present script. If the `pathname` specifies a relative path, slonik will search relative to the current working directory.

Nested include files are supported. The scanner and parser report the proper file names and line numbers when they run into an error.

## Example

         include </tmp/preamble.slonik>;

## Version Information

This command was introduced in Slony-I 1.1